post
https://bbps-sb.payu.in/payu-nbc/v1/nbc/heartBeat
The Check Health Status API can be used to check the working status of the PayU server.
| Production | https://bbps-sb.payu.in/payu-nbc/v1/nbc/ |
Note:Send the scope of the GET Token API as check_health_status to obtain the access_token for this request. For more information, refer to Get Token API - BBPS.
Sample request
curl --location --request POST 'https://<hostName>/payu-nbc/v1/nbc/heartBeat?agentId=`{agentId}`&refId=`{refId}`' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>'Response parameters
| Field Name | Description |
|---|---|
| code | The global response code and can be any of the following:
|
| status | The status of the API command and can be any of the following:
|
| payload | It will contain a list of biller categories. For more information, refer to the payload table. If the transaction had failed, it will contain:
|
payload
| Paramater | Description |
|---|---|
| status | This parameter can contain any of the following:
|
| type | This field contains the the type of request. |
| refId | This field contains the reference ID received in request from the agent. |
| payuId | It will be payU system ID and it will be unique every time. |
| message | For failure scenario, this field contains the message as heart_beat_failure. |
| errors | For failure scenario, the errors are displayed in an array format. |
Sample response
Success scenario
{
"code": 200,
"status": "SUCCESS",
"payload": {
"refId": "<refId>",
"status": "UP",
"payuId": "<payUSytemId>"
}
}
Failure scenario
{
"code": 600,
"status": "FAILURE",
"payload": {
"errors": [
{
"reason": "<error reason>",
"errorCode": "<error code>"
}
],
"refId": "<refId>",
"type": "heart_beat",
"message": "heart_beat_failed",
"additionalParams": null
}
}
Request parameters
200